For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
      • GETList all Webhooks
      • POSTCreate a Webhook
      • GETRetrieve a Webhook
      • PATCHUpdate a Webhook
      • POSTArchive a Webhook
      • POSTEnable a Webhook
      • POSTDisable a Webhook
      • POSTRotate a Webhook's secret
      • POSTClone a Webhook
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceWebhooks

Enable a Webhook

POST
https://api.withpersona.com/api/v1/webhooks/:webhook-id/enable
POST
/api/v1/webhooks/:webhook-id/enable
$curl -X POST https://api.withpersona.com/api/v1/webhooks/webhook-id/enable \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "webhook",
4 "id": "wbh_ABC123",
5 "attributes": {
6 "status": "enabled",
7 "url": "https://withpersona.com",
8 "api-version": "2023-01-05",
9 "api-key-inflection": "kebab",
10 "api-attributes-blocklist": [
11 "address-*",
12 "name-last",
13 "/data/attributes/fields/*-number"
14 ],
15 "file-access-token-expires-in": 21600,
16 "enabled-events": [
17 "account.created",
18 "verification.created"
19 ],
20 "payload-filter": {
21 "data": {
22 "relationships": {
23 "inquiry-template": {
24 "data": {
25 "id": "itmpl_abc123def456"
26 }
27 }
28 }
29 }
30 },
31 "created-at": "2023-08-17T23:18:13.000Z"
32 }
33 }
34}
Enables a webhook.
Was this page helpful?
Previous

Disable a Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook-idstringRequired

Webhook’s ID (starts with “wbh_”)

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Webhook object.
dataobject
A Webhook object
includedlist of any

Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.